Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Event_Tuple Class Reference

An ACE_Event_Handler and its associated ACE_HANDLE. More...

`#include <Select_Reactor_Base.h>`

Collaboration diagram for ACE_Event_Tuple:

[legend]
List of all members.

## Public Methods
| ACE_Event_Tuple (void)
| Default constructor. More...
| ACE_Event_Tuple (ACE_Event_Handler *eh, ACE_HANDLE h)
| Constructor. More...
| ~ACE_Event_Tuple (void)
| Destructor. More...
int | operator== (const ACE_Event_Tuple &rhs) const
| Equality operator. More...
int | operator!= (const ACE_Event_Tuple &rhs) const
| Inequality operator. More...
## Public Attributes
ACE_HANDLE | handle_
| Handle. More...
ACE_Event_Handler * | event_handler_
| <ACE_Event_Handler> associated with the <ACE_HANDLE>. More...

## Detailed Description

An ACE_Event_Handler and its associated ACE_HANDLE.

One <ACE_Event_Handler> is registered for one or more <ACE_HANDLE>. At various points, this information must be stored explicitly. This class provides a lightweight mechanism to do so.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Event_Tuple::ACE_Event_Tuple | ( | void |  | ) |

| Default constructor.

ACE_INLINE ACE_Event_Tuple::ACE_Event_Tuple | ( | ACE_Event_Handler * | eh,
|  | ACE_HANDLE | h
| ) |

| Constructor.

ACE_INLINE ACE_Event_Tuple::~ACE_Event_Tuple | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE int ACE_Event_Tuple::operator!= | ( | const ACE_Event_Tuple & | rhs | ) | const

| Inequality operator.

ACE_INLINE int ACE_Event_Tuple::operator== | ( | const ACE_Event_Tuple & | rhs | ) | const

| Equality operator.

## Member Data Documentation

ACE_Event_Handler* ACE_Event_Tuple::event_handler_

| <ACE_Event_Handler> associated with the <ACE_HANDLE>.

ACE_HANDLE ACE_Event_Tuple::handle_

| Handle.

The documentation for this class was generated from the following files:

- Select_Reactor_Base.h
- Select_Reactor_Base.i